#include <iostream>
#include "lista.h"


using namespace std;

/* funzione di utilita */
void StampaLista(Lista& l) {
	NodoLista* paux;
	paux = l;
	while(paux!=NULL) {
		cout << paux-> info << '\t';
		paux = paux->next;
	}
	cout << endl;
}

Lista merge(Lista l1, Lista l2)
{
  Lista l3, tmp;
  InitLista(l3);
  tmp = l1;
  while(tmp!=NULL)
  {
    InsCoda(l3, tmp->info);
    tmp=tmp->next;
  }
  while(l2!=NULL)
  {
    if(esiste(l1, l2->info)==false)
      InsCoda(l3, l2->info);
    l2=l2->next;
  }

  return l3;
}


int main() {
	Lista l1;
	InitLista(l1);
	InsTesta(l1, 1);
	InsTesta(l1, 2);
	InsTesta(l1, 3);
	InsCoda(l1, 4);
	InsCoda(l1, 5);
	InsPos(l1, 6, 3);
	InsCoda(l1, 9);
	InsCoda(l1, 14);
	InsCoda(l1, 7);
	InsCoda(l1, 8);
	cout << "lista 1" << endl;
	StampaLista(l1);

	Lista l2;
	InitLista(l2);
	InsTesta(l2, 10);
	InsTesta(l2, 20);
	InsTesta(l2, 30);
	InsCoda(l2, 4);
	InsCoda(l2, 50);
	InsPos(l2, 60, 3);
	InsCoda(l2, 70);
	InsCoda(l2, 140);
	InsCoda(l2, 80);
	InsCoda(l2, 90);	
	cout << "lista 2" << endl;

	StampaLista(l2);

	Lista l3;
	l3 = merge(l1, l2);
	
	StampaLista(l3);
	
	
	return 0;
}
