// #ifndef NUM_CPP
// #define NUM_CPP
// 

/* calcolo numero elementi ripetuti in una lista */
#include <iostream>
#include "lista.h"

using namespace std;


int nRip (Lista lis, int k){
  int n; /* risultato del conteggio */
  n = 0;
  while ( lis != NULL) {
    if ( lis -> info == k )
      n=n+1;
    lis = lis -> next;
  }
  return n;
}

int nRipetizioniMassime (Lista& lis, int *valMax) {
  int nMax; /* no. max ripetizioni trovato finora */
  int n;
  /* risultato di ogni conteggio */
  nMax = 0;
  while ( lis != NULL) {
    n = nRip(lis, lis -> info);
    if ( n > nMax ) { /* trovato elemento con massimo di ripetizioni */
      *valMax = lis -> info;
      nMax = n;
    }
    lis = lis -> next;
  }
  return nMax;
}

// #endif
