#include <iostream>
#include "lista.h"

using namespace std;

/* funzione di utilita */
void StampaLista(Lista& l) {
  NodoLista* paux;
  paux = l;
  while(paux!=NULL) {
    cout << paux-> info << '\t';
    paux = paux->next;
  }
  cout << endl;
}

int comparaTipoDato(int a, int b){
  if(a < b) return -1;
  if (a>b) return 1;

  return 0;
}

void inserisciInOrdine(Lista& lis, int dato) {
  NodoLista* punt;
  NodoLista* puntCorrente;
  NodoLista* puntPrecedente;
  puntCorrente = lis;
  puntPrecedente = NULL;
  while ((puntCorrente != NULL) && (comparaTipoDato(dato, puntCorrente->info) > 0 )) {
    cout << "ciao" << endl;
    puntPrecedente = puntCorrente;
    puntCorrente = puntCorrente->next;
    
  }
  
  punt = new NodoLista();
  punt->info = dato;
  punt->next = puntCorrente;
  // questa condizione è verificata solo se l’inserimento avviene in testa.
  if(puntPrecedente == 0)
    lis = punt;
  else puntPrecedente->next = punt;
  
}


int main() {
	Lista l1;
	InitLista(l1);
	
	inserisciInOrdine(l1, 1);//cout << "ciao" << endl;
	inserisciInOrdine(l1, 7);
	inserisciInOrdine(l1, 3);
	inserisciInOrdine(l1, 4);
	inserisciInOrdine(l1, 5);
	inserisciInOrdine(l1, 6);
	inserisciInOrdine(l1, 4);
	inserisciInOrdine(l1, 14);
	inserisciInOrdine(l1, 4);
	inserisciInOrdine(l1, 4);
	cout << "lista 1" << endl;
	StampaLista(l1);
}